VTK: vtkImageProgressIterator< DType > Class Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Protected Attributes | List of all members
vtkImageProgressIterator< DType > Class Template Reference

a simple image iterator with progress More...

`#include <vtkImageProgressIterator.h>`

Inheritance diagram for vtkImageProgressIterator< DType >:
[legend]
Collaboration diagram for vtkImageProgressIterator< DType >:
[legend]

## Public Types
typedef vtkImageIterator< DType > | Superclass
Public Types inherited from vtkImageIterator< DType >
typedef DType * | SpanIterator

## Public Member Functions
| vtkImageProgressIterator (vtkImageData *imgd, int *ext, vtkAlgorithm *po, int id)
| Create a progress iterator for the provided image data and extent to iterate over. More...
void | NextSpan ()
| Move the iterator to the next span, may call UpdateProgress on the filter (vtkAlgorithm) More...
vtkTypeBool | IsAtEnd ()
| Overridden from vtkImageIterator to check AbortExecute on the filter (vtkAlgorithm). More...
Public Member Functions inherited from vtkImageIterator< DType >
| vtkImageIterator ()
| Default empty constructor, useful only when creating an array of iterators You need to call Initialize afterward. More...
| vtkImageIterator (vtkImageData *id, int *ext)
| Create an image iterator for a given image data and a given extent. More...
void | Initialize (vtkImageData *id, int *ext)
| Initialize the image iterator for a given image data, and given extent. More...
void | NextSpan ()
| Move the iterator to the next span. More...
SpanIterator | BeginSpan ()
| Return an iterator (pointer) for the span. More...
SpanIterator | EndSpan ()
| Return an iterator (pointer) for the end of the span. More...
vtkTypeBool | IsAtEnd ()
| Test if the end of the extent has been reached. More...

## Protected Attributes
vtkAlgorithm * | Algorithm
unsigned long | Count
unsigned long | Count2
unsigned long | Target
int | ID
Protected Attributes inherited from vtkImageIterator< DType >
DType * | Pointer
DType * | SpanEndPointer
DType * | SliceEndPointer
DType * | EndPointer
vtkIdType | Increments [3]
vtkIdType | ContinuousIncrements [3]

## Detailed Description

### template<class DType>
class vtkImageProgressIterator< DType >

a simple image iterator with progress

This is a simple image iterator that can be used to iterate over an image. Typically used to iterate over the output image

See also
  vtkImageData vtkImageIterator

Tests:
  vtkImageProgressIterator (Tests)

Definition at line 26 of file vtkImageProgressIterator.h.

## Member Typedef Documentation

## ◆ Superclass

template<class DType >

typedef vtkImageIterator<DType> vtkImageProgressIterator< DType >::Superclass

Definition at line 29 of file vtkImageProgressIterator.h.

## Constructor & Destructor Documentation

## ◆ vtkImageProgressIterator()

template<class DType >

vtkImageProgressIterator< DType >::vtkImageProgressIterator | ( | vtkImageData * | imgd,
|  | int * | ext,
|  | vtkAlgorithm * | po,
|  | int | id
| ) |  |

Create a progress iterator for the provided image data and extent to iterate over.

The passes progress object will receive any UpdateProgress calls if the thread id is zero

## Member Function Documentation

## ◆ NextSpan()

template<class DType >

void vtkImageProgressIterator< DType >::NextSpan | ( |  | ) |

Move the iterator to the next span, may call UpdateProgress on the filter (vtkAlgorithm)

## ◆ IsAtEnd()

template<class DType >

vtkTypeBool vtkImageProgressIterator< DType >::IsAtEnd | ( |  | ) |

Overridden from vtkImageIterator to check AbortExecute on the filter (vtkAlgorithm).

## Member Data Documentation

## ◆ Algorithm

template<class DType >

vtkAlgorithm* vtkImageProgressIterator< DType >::Algorithm
| protected

Definition at line 51 of file vtkImageProgressIterator.h.

## ◆ Count

template<class DType >

unsigned long vtkImageProgressIterator< DType >::Count
| protected

Definition at line 52 of file vtkImageProgressIterator.h.

## ◆ Count2

template<class DType >

unsigned long vtkImageProgressIterator< DType >::Count2
| protected

Definition at line 53 of file vtkImageProgressIterator.h.

## ◆ Target

template<class DType >

unsigned long vtkImageProgressIterator< DType >::Target
| protected

Definition at line 54 of file vtkImageProgressIterator.h.

## ◆ ID

template<class DType >

int vtkImageProgressIterator< DType >::ID
| protected

Definition at line 55 of file vtkImageProgressIterator.h.

The documentation for this class was generated from the following file:

- Common/ExecutionModel/vtkImageProgressIterator.h